Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class SetterInjection

    java.lang.Object
      org.picocontainer.injectors.AbstractInjectionFactory
          org.picocontainer.injectors.SetterInjection

All Implemented Interfaces:
  Serializable, ComponentFactory, InjectionFactory

    public class SetterInjection

extends AbstractInjectionFactory

A `InjectionFactory` for JavaBeans. The factory creates `SetterInjector`.

Author:
  Jörg Schaible
See Also:
  Serialized Form

Constructor Summary
`SetterInjection()`
`SetterInjection(String setterMethodPrefix)`

Method Summary
`
`<T> ComponentAdapter<T>`
` | `createComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class<T> componentImplementation, Parameter... parameters)` Create a `SetterInjector`.

Methods inherited from class org.picocontainer.injectors.AbstractInjectionFactory
`accept, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetterInjection

    public SetterInjection(String setterMethodPrefix)

### SetterInjection

    public SetterInjection()

Method Detail

### createComponentAdapter

    public <T> ComponentAdapter<T> createComponentAdapter(ComponentMonitor componentMonitor,
                                                          LifecycleStrategy lifecycleStrategy,
                                                          Properties componentProperties,
                                                          Object componentKey,
                                                          Class<T> componentImplementation,
                                                          Parameter... parameters)
                                               throws PicoCompositionException

  Create a `SetterInjector`.

  Parameters:
    `componentMonitor` -
    `lifecycleStrategy` -
    `componentProperties` -
    `componentKey` - The component's key
    `componentImplementation` - The class of the bean.
    `parameters` - Any parameters for the setters. If null the adapter solves the dependencies for all setters internally. Otherwise the number parameters must match the number of the setter.
  Returns:
    Returns a new `SetterInjector`.
  Throws:
    `PicoCompositionException` - if dependencies cannot be solved
    `PicoCompositionException` - if the implementation is an interface or an abstract class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.